import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
/**
  *
  * Beschreibung  Test der Ereignisfunktionen von JTextField
  * einschlielich Caret-Ereignis (ndern der Marke)
  * --> der Fenster-popup nervt aber!
  *
  * @version 1.0 vom 26.06.2007
  * @author
  */

public class Gui extends JFrame {
  // Anfang Variablen
  private JTextField jTextField1 = new JTextField();
  private JButton jButton1 = new JButton();
  private JLabel jLabel1 = new JLabel();
  private JTextField jTextField2 = new JTextField();
  private JLabel jLabel2 = new JLabel();
  // Ende Variablen

  public Gui(String title) {
    // Frame-Initialisierung
    super(title);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent evt) { System.exit(0); }
    });
    int frameWidth = 300;
    int frameHeight = 156;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2 ;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    // JButton
    jButton1.setBounds(16, 80, 251, 25);
    jButton1.setText("fertig");
    cp.add(jButton1);
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1ActionPerformed(evt);
      }
    });

    jLabel1.setBounds(16, 24, 108, 16);
    jLabel1.setText("Celsius-Grade:");
    jLabel1.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLabel1);
    jLabel2.setBounds(16, 56, 108, 16);
    jLabel2.setText("sind in Kelvin:");
    jLabel2.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLabel2);

    jTextField1.setBounds(144, 16, 121, 24);
    jTextField1.setText("noch kein Wert");
    cp.add(jTextField1);
    // Action-Listener hinzufgen:
    jTextField1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
      // wird aufgerufen, wenn die Enter - Taste gedrckt wird.
        jTextField1ActionPerformed(evt);
      }
    });
    // Caret-Listener hinzufgen:
    jTextField1.addCaretListener(new CaretListener() {
      public void caretUpdate(CaretEvent evt) {
      // wird aufgerufen, wenn die Enter - Taste gedrckt wird.
        jTextField1CaretChanged(evt);
      }
    });

    jTextField2.setBounds(144, 48, 121, 24);
    jTextField2.setText("noch nix raus");
    cp.add(jTextField2);
    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Ereignisprozeduren
  private void jTextField1ActionPerformed(ActionEvent evt) {
     int ergebnis;
     try{
        ergebnis = 273 + Integer.parseInt(jTextField1.getText());
     } catch (NumberFormatException e) {
       ergebnis=0;
     }
     String ergebnisString = ""+ergebnis;
     jTextField2.setText(ergebnisString);
  }

  // Anfang Ereignisprozeduren
  private void jTextField1CaretChanged(CaretEvent evt) {
    JOptionPane.showMessageDialog(this,"Marke im Textfeld hat sich gendert");
  }

  public void jButton1ActionPerformed(ActionEvent evt) {
     System.exit(0);
  }

  // Ende Ereignisprozeduren

  public static void main(String[] args) {
    new Gui("Gui");
  }
}

